From d144f733a30979040d1b0d18fe02340e17a4c5c6 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat.oss@gmail.com>
Date: Wed, 2 Apr 2025 15:04:16 +0530
Subject: [PATCH] Enable statistics comparison in dump/restore test

Test verifying roundtrip dump/restore of regression database in
pg_upgrade/002_pg_upgrade.pl uses plain dumps from original and restored
database for comparison. The dumps do not contain statistics since at the time
of commit 172259afb563d35001410dc6daad78b250924038, the statistics dump wasn't
stable. So we miss statistics coverage. Enable it once the statistics dump is
stable.

Author: Ashutosh Bapat
---
 src/bin/pg_upgrade/t/002_pg_upgrade.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_upgrade/t/002_pg_upgrade.pl b/src/bin/pg_upgrade/t/002_pg_upgrade.pl
index 7494614ee64..be3d6df8b45 100644
--- a/src/bin/pg_upgrade/t/002_pg_upgrade.pl
+++ b/src/bin/pg_upgrade/t/002_pg_upgrade.pl
@@ -86,7 +86,7 @@ sub get_dump_for_comparison
 	# Don't dump statistics, because there are still some bugs.
 	$node->run_log(
 		[
-			'pg_dump', '--no-sync', '--no-statistics',
+			'pg_dump', '--no-sync',
 			'-d' => $node->connstr($db),
 			'-f' => $dumpfile
 		]);

base-commit: b53b88109f94bd81ed0ac580035a936000bc2865
-- 
2.34.1

